元フリーエンジニアライフ

Ruby on Rails とか MovableType とかAWSやってるフリーランスウェブエンジニアの記録でした。現在は法人成りしてIT社長。

IntelliJ IDEA でSDK(僕はRubyのバージョン)を変更する

Rails開発に使用しているが、リモートインタプリタで使用している Ruby 2.0.0-p2472.1.0-p0 にアップデートしようとして少し手間取ったのでメモ。

  1. 新しいRubyのインストール
  2. [Project Structure] Project SDK → New → ... で登録
  3. [Project Structure] Modules → Module SDK を設定

サーバ起動やbundleなどで使用するのは Module SDK なのでそっちを変更しないとダメ。

IDEAについての理解不足っすなぁ。